ONVIF::Analytics::Elements::GetSupportedAnalyticsModulesResponse(3)

NAME
ONVIF::Analytics::Elements::GetSupportedAnalyticsModulesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetSupportedAnalyticsModulesResponse from the namespace http://www.onvif.org/ver20/analytics/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SupportedAnalyticsModules

     $element->set_SupportedAnalyticsModules($data);
     $element->get_SupportedAnalyticsModules();

METHODS

  new
 my $element = ONVIF::Analytics::Elements::GetSupportedAnalyticsModulesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   SupportedAnalyticsModules =>  { # ONVIF::Analytics::Types::SupportedAnalyticsModules
     AnalyticsModuleContentSchemaLocation =>  $some_value, # anyURI
     AnalyticsModuleDescription =>  { # ONVIF::Analytics::Types::ConfigDescription
       Parameters =>  { # ONVIF::Analytics::Types::ItemListDescription
         SimpleItemDescription => ,
         ElementItemDescription => ,
         Extension =>  { # ONVIF::Analytics::Types::ItemListDescriptionExtension
         },
       },
       Messages =>  {
         ParentTopic =>  $some_value, # string
       },
       Extension =>  { # ONVIF::Analytics::Types::ConfigDescriptionExtension
       },
     },
     Extension =>  { # ONVIF::Analytics::Types::SupportedAnalyticsModulesExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL